org.apache.storm.mongodb.common.mapper

## Class SimpleMongoUpdateMapper

- java.lang.Object
- - org.apache.storm.mongodb.common.mapper.SimpleMongoMapper
  - - org.apache.storm.mongodb.common.mapper.SimpleMongoUpdateMapper

- All Implemented Interfaces:
    Serializable, MongoMapper, MongoUpdateMapper

      public class SimpleMongoUpdateMapper
      extends SimpleMongoMapper
      implements MongoUpdateMapper

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleMongoUpdateMapper(String... fields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bson.Document` | `toDocument(ITuple tuple)` Converts a Tuple to a Document.
    `SimpleMongoUpdateMapper` | `withFields(String... fields)`

    - ### Methods inherited from class org.apache.storm.mongodb.common.mapper.SimpleMongoMapper

      `toDocumentByKeys`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.mongodb.common.mapper.MongoMapper

      `toDocumentByKeys`

- - ### Constructor Detail

    - #### SimpleMongoUpdateMapper

          public SimpleMongoUpdateMapper(String... fields)

  - ### Method Detail

    - #### toDocument

          public org.bson.Document toDocument(ITuple tuple)

      Description copied from interface: `MongoMapper`

      Converts a Tuple to a Document.

      Specified by:
        `toDocument` in interface `MongoMapper`
      Overrides:
        `toDocument` in class `SimpleMongoMapper`
      Parameters:
        `tuple` - the incoming tuple
      Returns:
        the MongoDB document

    - #### withFields

          public SimpleMongoUpdateMapper withFields(String... fields)

      Overrides:
        `withFields` in class `SimpleMongoMapper`

Copyright © 2021 The Apache Software Foundation. All rights reserved.